# Admin Directory API . roleAssignments

## Instance Methods

Deletes a role assignment.

Retrieve a role assignment.

Creates a role assignment.

Retrieves a paginated list of all roleAssignments.

Retrieves the next page of results.

### Method Details

`delete(customer, roleAssignmentId)`

    Deletes a role assignment.

    Args:
      customer: string, Immutable ID of the Google Apps account. (required)
      roleAssignmentId: string, Immutable ID of the role assignment. (required)

`get(customer, roleAssignmentId)`

    Retrieve a role assignment.

    Args:
      customer: string, Immutable ID of the Google Apps account. (required)
      roleAssignmentId: string, Immutable ID of the role assignment. (required)

    Returns:
      An object of the form:

        { # JSON template for roleAssignment resource in Directory API.
          "kind": "admin#directory#roleAssignment", # The type of the API resource. This is always admin#directory#roleAssignment.
          "roleAssignmentId": "A String", # ID of this roleAssignment.
          "roleId": "A String", # The ID of the role that is assigned.
          "assignedTo": "A String", # The unique ID of the user this role is assigned to.
          "etag": "A String", # ETag of the resource.
          "scopeType": "A String", # The scope in which this role is assigned. Possible values are:
              # - CUSTOMER
              # - ORG_UNIT
          "orgUnitId": "A String", # If the role is restricted to an organization unit, this contains the ID for the organization unit the exercise of this role is restricted to.
        }

`insert(customer, body)`

    Creates a role assignment.

    Args:
      customer: string, Immutable ID of the Google Apps account. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # JSON template for roleAssignment resource in Directory API.
        "kind": "admin#directory#roleAssignment", # The type of the API resource. This is always admin#directory#roleAssignment.
        "roleAssignmentId": "A String", # ID of this roleAssignment.
        "roleId": "A String", # The ID of the role that is assigned.
        "assignedTo": "A String", # The unique ID of the user this role is assigned to.
        "etag": "A String", # ETag of the resource.
        "scopeType": "A String", # The scope in which this role is assigned. Possible values are:
            # - CUSTOMER
            # - ORG_UNIT
        "orgUnitId": "A String", # If the role is restricted to an organization unit, this contains the ID for the organization unit the exercise of this role is restricted to.
      }

    Returns:
      An object of the form:

        { # JSON template for roleAssignment resource in Directory API.
          "kind": "admin#directory#roleAssignment", # The type of the API resource. This is always admin#directory#roleAssignment.
          "roleAssignmentId": "A String", # ID of this roleAssignment.
          "roleId": "A String", # The ID of the role that is assigned.
          "assignedTo": "A String", # The unique ID of the user this role is assigned to.
          "etag": "A String", # ETag of the resource.
          "scopeType": "A String", # The scope in which this role is assigned. Possible values are:
              # - CUSTOMER
              # - ORG_UNIT
          "orgUnitId": "A String", # If the role is restricted to an organization unit, this contains the ID for the organization unit the exercise of this role is restricted to.
        }

`list(customer, pageToken=None, roleId=None, maxResults=None, userKey=None)`

    Retrieves a paginated list of all roleAssignments.

    Args:
      customer: string, Immutable ID of the Google Apps account. (required)
      pageToken: string, Token to specify the next page in the list.
      roleId: string, Immutable ID of a role. If included in the request, returns only role assignments containing this role ID.
      maxResults: integer, Maximum number of results to return.
      userKey: string, The user's primary email address, alias email address, or unique user ID. If included in the request, returns role assignments only for this user.

    Returns:
      An object of the form:

        { # JSON response template for List roleAssignments operation in Directory API.
        "nextPageToken": "A String",
        "items": [ # A list of RoleAssignment resources.
          { # JSON template for roleAssignment resource in Directory API.
              "kind": "admin#directory#roleAssignment", # The type of the API resource. This is always admin#directory#roleAssignment.
              "roleAssignmentId": "A String", # ID of this roleAssignment.
              "roleId": "A String", # The ID of the role that is assigned.
              "assignedTo": "A String", # The unique ID of the user this role is assigned to.
              "etag": "A String", # ETag of the resource.
              "scopeType": "A String", # The scope in which this role is assigned. Possible values are:
                  # - CUSTOMER
                  # - ORG_UNIT
              "orgUnitId": "A String", # If the role is restricted to an organization unit, this contains the ID for the organization unit the exercise of this role is restricted to.
            },
        ],
        "kind": "admin#directory#roleAssignments", # The type of the API resource. This is always admin#directory#roleAssignments.
        "etag": "A String", # ETag of the resource.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.